Package org.eclipse.jdt.apt.core.env

# Enum Class Phase

java.lang.Object
java.lang.Enum<Phase>
org.eclipse.jdt.apt.core.env.Phase

All Implemented Interfaces:
  `Serializable`, `Comparable<Phase>`, `Constable`

public enum Phase extends Enum<Phase>
Enum for APT related operation phase.

See Also:
  - `EclipseAnnotationProcessorEnvironment.getPhase()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUILD`
During Build phase
`OTHER`
Neither reconcile nor build.
`RECONCILE`
During Reconcile phase

## Method Summary

Modifier and Type
Method
Description
`static Phase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Phase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RECONCILE

public static final Phase RECONCILE
During Reconcile phase

### BUILD

public static final Phase BUILD
During Build phase

### OTHER

public static final Phase OTHER
Neither reconcile nor build. Completion would be an example.

## Method Details

### values

public static Phase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Phase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null